MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0030409Open CASCADE[OCCT] OCCT:Data Exchangepublic2018-12-12 16:132018-12-18 21:52
Reporterkgv 
Assigned Toapn 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.4.0 
Target Version[OCCT] 7.4.0Fixed in Version 
Summary0030409: Data Exchange - exception during VRML file export
DescriptionExporting attached XBF document into VRML file results in exception (NULL handle dereference).
Steps To Reproduce
pload XDE MODELING VISUALIZATION
box b 1 2 3
incmesh b 1
explode b F
XNewDoc D
XAddShape D b_1 0
WriteVrml D test.wrl


pload XDE VISUALIZATION
XOpen box.xbf D
WriteVrml D box-exported.wrl

Result:
** Exception ** 000002B5AB589620 : OSD_Exception_ACCESS_VIOLATION: ACCESS VIOLATION at address 0x0000000000000030 
during 'READ' operation
TagsNo tags attached.
Test case numberbugs xde bug30409
Attached Files? file icon box.xbf (1,589 bytes) 2018-12-12 16:13

- Relationships
child of 0030115verifiedbugmaster Open CASCADE Data Exchange - Implementation of import from XCAF to VRML. 

-  Notes
(0081502)
git (administrator)
2018-12-13 10:48

Branch CR30409 has been created by kgv.

SHA-1: 31ada13f6625b0769268e649cec98af5dfa066d0


Detailed log of new commits:

Author: kgv
Date: Thu Dec 13 10:45:14 2018 +0300

    0030409: Data Exchange - exception during VRML file export
    
    VrmlData_ShapeConvert::addShape() - handle case when parent node is NULL.
(0081503)
git (administrator)
2018-12-13 10:50

Branch CR30409 has been updated forcibly by kgv.

SHA-1: 3fb19ddca68ebf6103ed64eb8cce80d99a723849
(0081504)
git (administrator)
2018-12-13 12:01

Branch CR30409 has been updated forcibly by kgv.

SHA-1: d2bbe7505b7ca4b347da988b1361921299b58d6f
(0081509)
git (administrator)
2018-12-13 13:07

Branch CR30409 has been updated forcibly by kgv.

SHA-1: 13ab81e6ce0dc474dd87693d803c0cae198f8844
(0081511)
kgv (developer)
2018-12-13 13:09

Patch is ready for review.

http://vm-jenkins-test-12.nnov.opencascade.com:8080//view/CR30409-master-KGV [^]
(0081524)
gka (developer)
2018-12-14 10:19

Branch CR30409 was reviewed
(0081527)
apn (administrator)
2018-12-14 11:44

Combination -
OCCT branch : CR30409 SHA - 13ab81e6ce0dc474dd87693d803c0cae198f8844
Products branch : master SHA - 4eefea36b8ea8a987b6f644ce91f592588345220
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

Test case:
bugs xde bug30409 - OK

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 16353.78000000004 / 16341.050000000001 [+0.08%]
Products
Total CPU difference: 7057.570000000032 / 7064.160000000029 [-0.09%]
Windows-64-VC14:
OCCT
Total CPU difference: 17710.953125 / 17859.3125 [-0.83%]
Products
Total CPU difference: 8471.015625 / 8548.140625 [-0.90%]

Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0081569)
git (administrator)
2018-12-18 21:52

Branch CR30409 has been deleted by kgv.

SHA-1: 13ab81e6ce0dc474dd87693d803c0cae198f8844

- Related Changesets
occt: master 7803c28d
Timestamp: 2018-12-13 07:45:14
Author: kgv
Committer: apn
Details ] Diff ]
0030409: Data Exchange - exception during VRML file export

VrmlData_ShapeConvert::addShape() - handle case when parent node is NULL.
mod - src/VrmlData/VrmlData_ShapeConvert.cxx Diff ] File ]
add - tests/bugs/xde/bug30409 Diff ] File ]

- Issue History
Date Modified Username Field Change
2018-12-12 16:13 kgv New Issue
2018-12-12 16:13 kgv Assigned To => gka
2018-12-12 16:13 kgv File Added: box.xbf
2018-12-12 16:13 kgv Relationship added child of 0030115
2018-12-12 16:15 kgv Steps to Reproduce Updated View Revisions
2018-12-12 16:16 kgv Description Updated View Revisions
2018-12-12 17:48 kgv Relationship added related to 0028905
2018-12-12 17:49 kgv Note Added: 0081492
2018-12-12 17:49 kgv Note Edited: 0081492 View Revisions
2018-12-13 09:58 kgv Note Deleted: 0081492
2018-12-13 10:48 git Note Added: 0081502
2018-12-13 10:50 git Note Added: 0081503
2018-12-13 11:59 kgv Steps to Reproduce Updated View Revisions
2018-12-13 12:01 git Note Added: 0081504
2018-12-13 13:07 git Note Added: 0081509
2018-12-13 13:08 kgv Assigned To gka => kgv
2018-12-13 13:09 kgv Note Added: 0081511
2018-12-13 13:09 kgv Assigned To kgv => gka
2018-12-13 13:09 kgv Status new => resolved
2018-12-14 10:19 gka Note Added: 0081524
2018-12-14 10:19 gka Assigned To gka => bugmaster
2018-12-14 10:19 gka Status resolved => reviewed
2018-12-14 11:44 apn Test case number => bugs xde bug30409
2018-12-14 11:44 apn Note Added: 0081527
2018-12-14 11:44 apn Status reviewed => tested
2018-12-15 20:28 apn Changeset attached => occt master 7803c28d
2018-12-15 20:28 apn Assigned To bugmaster => apn
2018-12-15 20:28 apn Status tested => verified
2018-12-15 20:28 apn Resolution open => fixed
2018-12-18 21:52 git Note Added: 0081569


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker